Subject: Re: bug#54188: Crash when eval-ing font test elisp code

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2022 14:55:34 +0200

> Date: Mon, 28 Feb 2022 23:44:47 +0200
> Cc: [email-masked]
> From: Vordoo <[email-masked]>
> 
> For clarity replaced (font-family-list) with an actual font list:
> (require 'cl-lib)
> (require 'cl-extra)
> (let ((str "The quick brown fox jumps over the lazy dog 
> ´`''\"\"1lI|¦!Ø0Oo{[()]}.,:; ")
>        (font-families (cl-remove-duplicates
>                (sort '("Standard Symbols PS" "URW Gothic" "Roboto 
> Condensed" "Droid Sans") ;; <-- WORKS
>                     ;; '("terminal")                              ;; <-- 
> CRASH
>                     ;; '("lucida" )                            ;;<-- CRASH
>                     ;; '("Caladings CLM")                    ;; <-- CRASH
>                     ;; '("charter")                            ;; <-- CRASH
> 
>                 (lambda(x y) (string< (upcase x) (upcase y))))
>                :test 'cl-equalp)))
>    (dolist (ff font-families)
>      (insert
>       (propertize str 'font-lock-face `(:family ,ff))               ff "\n"
>       (propertize str 'font-lock-face `(:family ,ff :slant italic)) ff 
> "\n")))

Thanks.

Can you show a full backtrace with one of the problematic fonts
(i.e. "bt full" command in GDB), from the crash location?  The
backtrace you posted originally shows only the names of the functions,
it doesn't even show line numbers, let alone arguments to the
functions.  You also didn't say which Emacs version is that (it will
become important if you post a more detailed backtrace).